## kernel-image-2.2.19-i386 2.2.19-2

=== debian/changelog ===
kernel-image-2.2.19-i386 (2.2.19-2) stable unstable; urgency=low

  * Compiled against kernel-source 2.2.19-2 (closes: #92951).
  * Turn SCSI_MULTI_LUN off since it may cause hangs and can be turned on at
    runtime (closes: #64306).
  * Build kernel-headers package for ide.
  * Added compact and idepci flavours.

 -- Herbert Xu <herbert@debian.org>  Sun,  8 Apr 2001 13:37:24 +1000

kernel-image-2.2.19-i386 (2.2.19-1) stable unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sun,  1 Apr 2001 19:22:17 +1000

kernel-image-2.2.19pre17-i386 (2.2.19pre17-1) stable unstable; urgency=high

  * New upstream release with security fixes.

 -- Herbert Xu <herbert@debian.org>  Tue, 13 Mar 2001 22:31:40 +1100

kernel-image-2.2.19pre16-i386 (2.2.19pre16-1) stable unstable; urgency=low

  * New upstream release with TCP bug fix.
  * Enabled CONFIG_IPV6_EUI64 (closes: #80221).
  * Added build-time dependency on modutils (closes: #88368).

 -- Herbert Xu <herbert@debian.org>  Sat, 10 Mar 2001 17:54:00 +1100

kernel-image-2.2.19pre11-i386 (2.2.19pre11-1) stable unstable; urgency=high

  * New upstream release with a working AIC7XXX driver.

 -- Herbert Xu <herbert@debian.org>  Wed, 14 Feb 2001 20:50:18 +1100

kernel-image-2.2.19pre9-i386 (2.2.19pre9-1) stable unstable; urgency=high

  * New upstream release with security fixes.
  * Enabled serial console (closes: #81685).

 -- Herbert Xu <herbert@debian.org>  Sun, 11 Feb 2001 15:33:45 +1100

kernel-image-2.2.18-i386 (2.2.18-1) stable unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Thu, 21 Dec 2000 21:01:08 +1100

kernel-image-2.2.18pre21-i386 (2.2.18pre21-1) stable unstable; urgency=low

  * New upstream release.
  * Build QLOGIC_FC as a module since we're over 1M again.

 -- Herbert Xu <herbert@debian.org>  Sat, 18 Nov 2000 14:50:54 +1100

kernel-image-2.2.17-i386 (1:2.2.17-1) stable unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sat,  9 Sep 2000 12:25:28 +1100

kernel-image-2.2.17-i386 (2.2.17pre6-1) frozen unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sun, 25 Jun 2000 09:17:30 +1000

kernel-image-2.2.16-i386 (2.2.16-1) frozen unstable; urgency=low

  * New upstream release (2.2.16).
  * DAC960 is now built as a module since 2.2.16 puts us over 1M again.

 -- Herbert Xu <herbert@debian.org>  Sun, 18 Jun 2000 15:50:07 +1000

kernel-image-2.2.15-i386 (1:2.2.15-2) frozen unstable; urgency=low

  * Rebuilt with kernel-source 2.2.15-3.

 -- Herbert Xu <herbert@debian.org>  Thu,  1 Jun 2000 10:13:30 +1000

kernel-image-2.2.15-i386 (1:2.2.15-1) frozen unstable; urgency=low

  * New upstream release (2.2.15-2).

 -- Herbert Xu <herbert@debian.org>  Sat, 13 May 2000 10:00:51 +1000

kernel-image-2.2.15-i386 (2.2.15pre20-1) frozen unstable; urgency=low

  * New upstream release.
  * The kernel version now includes the flavour.

 -- Herbert Xu <herbert@debian.org>  Tue, 25 Apr 2000 15:27:44 +1000

kernel-image-2.2.15-i386 (2.2.15pre19-1) frozen unstable; urgency=low

  * New upstream release.
  * Swapped AM53C974 and DC390T since the former seems to work better
    (closes: #56634).

 -- Herbert Xu <herbert@debian.org>  Fri, 21 Apr 2000 13:36:02 +1000

kernel-image-2.2.14-i386 (2.2.14-4) frozen unstable; urgency=low

  * Enabled CONFIG_NCPFS_NFS_NS and CONFIG_NCPFS_OS2_NS (closes: #61704).
  * Enabled IDESCSI.
  * kernel-image-*-ide is now built as a flavour.

 -- Herbert Xu <herbert@debian.org>  Sun, 16 Apr 2000 13:05:53 +1000

kernel-image-2.2.14-i386 (2.2.14-3) frozen unstable; urgency=low

  * Enabled IP masquerading (closes: #61201).
  * kernel-image-*-ide now has a distinct Description field (closes: #56891).

 -- Herbert Xu <herbert@debian.org>  Mon,  3 Apr 2000 08:34:45 +1000

kernel-image-2.2.14-i386 (2.2.14-2) frozen unstable; urgency=low

  * Enabled ServerRAID (closes: #52597).
  * Enabled DAC960 (closes: #49863).
  * Enabled CONFIG_FILTER (closes: #50996).
  * Enabled quota support (closes: #60206).

 -- Herbert Xu <herbert@debian.org>  Wed, 22 Mar 2000 15:12:21 +1100

kernel-image-2.2.14-i386 (2.2.14-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sat, 15 Jan 2000 13:13:29 +1100

kernel-image-2.2.13-i386 (2.2.13-3) unstable; urgency=low

  * Added an ide subarch (closes: #50908).

 -- Herbert Xu <herbert@debian.org>  Thu,  2 Dec 1999 00:30:15 +1100

kernel-image-2.2.13-i386 (2.2.13-2) unstable; urgency=low

  * Initial release.
  * Disabled CONFIG_APM_RTC_IS_GMT (closes: #48503).
  * Enabled Unix98 ptys (closes: #49723).
  * Turned initrd back on as it was accidentally disabled (closes: #50109).
  * Downgraded CONFIG_SCSI_AM53C974 to a module (closes: #49559).
  * Enabled Stallion drivers as modules.

 -- Herbert Xu <herbert@debian.org>  Fri, 19 Nov 1999 21:56:37 +1100
