=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for kernel-image-*-i386
#
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (c) 1999-2001 Herbert Xu <herbert@debian.org>
#
# $Id: rules,v 1.13 2001/04/08 03:36:42 herbert Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

SHELL := sh -e

version := $(shell \
	head -1 debian/changelog | \
	sed 's/^kernel-image-\(.*\)-i386.*$$/\1/' \
)
flavours := $(shell \
	find config -maxdepth 1 -type f ! -name default -printf '%f\n' \
)

unpack: unpack-stamp
unpack-stamp:
	tar Ixf /usr/src/kernel-source-$(version).tar.bz2
	mkdir kernel-source-$(version)/debian
	cp debian/changelog kernel-source-$(version)/debian
	cp debian/control kernel-source-$(version)/debian
	> kernel-source-$(version)/debian/official
	for i in $(flavours); do \
		cp -al kernel-source-$(version) build-$$i; \
		cp config/$$i build-$$i/.config; \
	done
	cd build-ide; \
		/usr/src/kernel-patches/i386/$(version)/apply/ide
	cp -al kernel-source-$(version) build-vanilla
	cp debian/config build-vanilla/.config; \

	touch unpack-stamp

build: build-stamp
build-stamp: unpack-stamp
	for i in vanilla $(flavours); do \
		cd build-$$i; \
		make-kpkg build; \
		cd ..; \
	done

	touch build-stamp

clean:
	rm -f unpack-stamp build-stamp install-stamp
	rm -rf kernel-source-$(version) build-* install-*
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_clean -k
	dh_installdirs

	touch install-stamp

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: build
	cp -al build-vanilla install-vanilla
	cd install-vanilla; \
		make-kpkg kernel-headers; \
		make-kpkg kernel-image
	mv install-vanilla/debian/files debian
	rm -rf install-vanilla
	for i in $(flavours); do \
		cp -al build-$$i install-$$i; \
		cd install-$$i; \
		make-kpkg --flavour $$i kernel-headers; \
		make-kpkg --flavour $$i kernel-image; \
		cd ..; \
		cat install-$$i/debian/files >> debian/files; \
		rm -rf install-$$i; \
	done
	mv *.deb ..

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install unpack
