## kernel-image-2.2.19-i386 2.2.19-4potato.7

=== debian/changelog ===
kernel-image-2.2.19-i386 (2.2.19-4potato.7) stable; urgency=high

  * Built against kernel-source 2.2.19.1-4.

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Mar 2002 19:37:52 +1100

kernel-image-2.2.19-i386 (2.2.19-4potato.6) stable; urgency=high

  * Built against kernel-source 2.2.19.1-3.

 -- Herbert Xu <herbert@debian.org>  Tue, 12 Mar 2002 22:23:55 +1100

kernel-image-2.2.19-i386 (2.2.19-4potato.5) stable; urgency=high

  * Built against kernel-source 2.2.19.1-2.

 -- Herbert Xu <herbert@debian.org>  Thu,  1 Nov 2001 19:48:09 +1100

kernel-image-2.2.19-i386 (2.2.19-4potato.4) stable; urgency=high

  * Built against kernel-source 2.2.19.1-1.
  * Turned off ancient Adaptec drivers in compact to keep it small.

 -- Herbert Xu <herbert@debian.org>  Sat, 20 Oct 2001 18:01:00 +1000

kernel-image-2.2.19-i386 (2.2.19-4potato.3) stable; urgency=low

  * Built against kernel-source 2.2.19-6.

 -- Herbert Xu <herbert@debian.org>  Sun, 24 Jun 2001 10:44:59 +1000

kernel-image-2.2.19-i386 (2.2.19-4potato.2) stable; urgency=high

  * Built against kernel-source 2.2.19-5.

 -- Herbert Xu <herbert@debian.org>  Sat,  9 Jun 2001 12:58:35 +1000

kernel-image-2.2.19-i386 (2.2.19-4potato.1) stable; urgency=low

  * All kernel-headers packages now provide kernel-headers-2.2.
  * Built against kernel-source 2.2.19-4 and kernel-patch-ide 20010504.

 -- Herbert Xu <herbert@debian.org>  Sat, 19 May 2001 10:07:20 +1000

kernel-image-2.2.19-i386 (2.2.19-4) stable unstable; urgency=high

  * Previous release incorrectly specified --flavour vanilla (closes: #94484).

 -- Herbert Xu <herbert@debian.org>  Thu, 19 Apr 2001 22:32:02 +1000

kernel-image-2.2.19-i386 (2.2.19-3) stable unstable; urgency=high

  * Added missing --flavour to build target (closes: #94253, #94265).

 -- Herbert Xu <herbert@debian.org>  Wed, 18 Apr 2001 07:36:10 +1000
