=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer:  Herbert Xu <herbert@debian.org>
 Standards-Version: 3.2.1
-Build-Depends: bin86, debhelper, gcc272, modutils, kernel-source-2.2.19 (>= 2.2.19-2), kernel-package, kernel-patch-2.2.19-ide
+Build-Depends: bin86, debhelper, gcc272, modutils, kernel-source-2.2.19 (>= 2.2.19.1-4), kernel-package, kernel-patch-2.2.19-ide (>= 20010504-2)
 
 Package: kernel-headers-2.2.19
 Architecture: any
 Section: devel
 Priority: optional
 Depends: fileutils (>= 4.0)
-Provides: kernel-headers
+Provides: kernel-headers, kernel-headers-2.2
 Description: Header files related to Linux kernel version 2.2.19
  This package provides kernel header files for version 2.2.19, for sites
  that want the latest kernel headers. Please read
@@ -43,7 +43,7 @@
 Section: devel
 Priority: optional
 Depends: fileutils (>= 4.0)
-Provides: kernel-headers
+Provides: kernel-headers, kernel-headers-2.2
 Description: Header files related to Linux kernel version 2.2.19-ide
  This package provides kernel header files for version 2.2.19-ide, for sites
  that want the latest kernel headers. Please read
@@ -83,7 +83,7 @@
 Section: devel
 Priority: optional
 Depends: fileutils (>= 4.0)
-Provides: kernel-headers
+Provides: kernel-headers, kernel-headers-2.2
 Description: Header files related to Linux kernel version 2.2.19-compact
  This package provides kernel header files for version 2.2.19-compact, for
  sites that want the latest kernel headers. Please read
@@ -110,7 +110,7 @@
 Section: devel
 Priority: optional
 Depends: fileutils (>= 4.0)
-Provides: kernel-headers
+Provides: kernel-headers, kernel-headers-2.2
 Description: Header files related to Linux kernel version 2.2.19-idepci
  This package provides kernel header files for version 2.2.19-idepci, for sites
  that want the latest kernel headers. Please read
