=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 # Copyright (c) 1999-2001 Herbert Xu <herbert@debian.org>
 #
-# $Id: rules,v 1.13 2001/04/08 03:36:42 herbert Exp $
+# $Id: rules,v 1.15 2001/04/19 12:32:14 herbert Exp $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -43,9 +43,11 @@
 
 build: build-stamp
 build-stamp: unpack-stamp
-	for i in vanilla $(flavours); do \
+	cd build-vanilla; \
+		make-kpkg build
+	for i in $(flavours); do \
 		cd build-$$i; \
-		make-kpkg build; \
+		make-kpkg --flavour $$i build; \
 		cd ..; \
 	done
